/* File "stdtypes.h", Light Sockets - Copyright (C) Matt Slot, 1996           */
/* Standard types and declarations for consistency across the implementation. */

#ifndef __STD_TYPES_HEADER__
#define __STD_TYPES_HEADER__

/* **** **** **** **** **** **** **** **** **** **** **** **** **** **** **** */
/* **** **** **** **** **** **** **** **** **** **** **** **** **** **** **** */

/* ANSI and non-ANSI function prototype declarations */
#ifdef __STDC__
#define PROTO	
#else
#define PROTO extern
#endif

#ifdef __MWERKS__
#define PLATFORM_MAC
#endif

/* **** **** **** **** **** **** **** **** **** **** **** **** **** **** **** */
/* **** **** **** **** **** **** **** **** **** **** **** **** **** **** **** */
/* Preprocessor Defines */

#define ARBITRARY_BUFFER_SIZE		256

#undef true
#define true				((Bool8) 1)

#undef false
#define false				((Bool8) 0)
	
/* **** **** **** **** **** **** **** **** **** **** **** **** **** **** **** */
/* **** **** **** **** **** **** **** **** **** **** **** **** **** **** **** */
/* Structure/Class Declarations */

typedef unsigned char		Bool8;		/* Boolean data type */
typedef char				Byte8;		/* Raw data stream type */
typedef char				Char8;		/* Character and string data type */

typedef char				Int8;
typedef signed char			SInt8;
typedef unsigned char		UInt8;
typedef short				Int16;
typedef signed short		SInt16;
typedef unsigned short		UInt16;
typedef long				Int32;
typedef signed long			SInt32;
typedef unsigned long		UInt32;

typedef int					Int;
typedef signed int			SInt;
typedef unsigned int		UInt;

/* **** **** **** **** **** **** **** **** **** **** **** **** **** **** **** */
/* **** **** **** **** **** **** **** **** **** **** **** **** **** **** **** */

#endif /* __STD_TYPES_HEADER__ */
