/* File "reggierc.h", ISR/Reggie - Copyright (C) Matt Slot+Mike Monan, 1996   */
/* Proxy configuration file utilities                                         */

#ifndef __REGGIERC_HEADER__
#define __REGGIERC_HEADER__

/* **** **** **** **** **** **** **** **** **** **** **** **** **** **** **** */
/* **** **** **** **** **** **** **** **** **** **** **** **** **** **** **** */
/* Include Files */

#include "stdtypes.h"

#include "socket.h"

/* **** **** **** **** **** **** **** **** **** **** **** **** **** **** **** */
/* **** **** **** **** **** **** **** **** **** **** **** **** **** **** **** */
/* Preprocessor Defines */

#define MAX_FILE_SIZE		30 * 1024

/* **** **** **** **** **** **** **** **** **** **** **** **** **** **** **** */
/* **** **** **** **** **** **** **** **** **** **** **** **** **** **** **** */
/* Structure/Class Declarations */


/* **** **** **** **** **** **** **** **** **** **** **** **** **** **** **** */
/* **** **** **** **** **** **** **** **** **** **** **** **** **** **** **** */
/* Function Prototypes */

SInt32 LoadRCFile(Char8 *filename, Char8 **filedata);
SInt32 UnloadRCFile(Char8 *filedata);

UInt32 GetNextService(Char8 *filedata, UInt32 offset, SocketAddressPtr address,
		Char8 *serviceType, Char8 *serviceName, Char8 *serviceInfo);

/* **** **** **** **** **** **** **** **** **** **** **** **** **** **** **** */
/* **** **** **** **** **** **** **** **** **** **** **** **** **** **** **** */

#endif /* __REGGIERC_HEADER__ */
